<div
  class="standard-hover"
  [ngClass]="{'highlight-background': selected}"
  [appCopyToClipboard]="caseItem">
  <div class="cases-row-container" (click)="onCaseClicked()">
    <app-expansion-item
      position="before"
      headerClass="case-expansion-header case-item-space"
      [expanded]="caseExtended"
      [disabled]="disabled"
      [selected]="selected"
      [appCopyToClipboard]="caseItem"
      (expandedChange)="onExpandCaseClick($event, caseItem?.id)">
      <div header>
        <div class="cases-row case-no-hover-effect">
          <div
            class="case-item text-align-left"
            [matTooltip]="'Local id: ' + caseItem?.local_id + '&#13;&#10;ID: '+ caseItem?.id">
            <span #caseId [ngClass]="{'ellipsis-two-lines': !caseExtended}">{{caseItem?.local_id ?? caseItem?.id}}</span>
          </div>
          <div class="case-item text-align-center">{{caseItem?.slides_count}}</div>
          <div class="case-item text-align-center">{{caseItem?.created_at | customDate }}</div>
          <div class="case-item text-align-left">
            <span #caseTissue [ngClass]="{'ellipsis-two-lines': !caseExtended}">{{caseItem?.tissues | dictParser}}</span>
          </div>
          <div class="case-description text-align-left">
            <span #caseDescription [ngClass]="{'ellipsis-two-lines': !caseExtended}">{{caseItem?.description ?? 'no description'}}</span>
          </div>
          <div class="case-item text-align-center">
            <button
              data-cy="case-lock-button"
              mat-icon-button
              [disabled]="!caseItem?.examinations"
              (click)="onLockClicked($event)">
              <mat-icon>{{firstExaminationOpen ? 'lock_open' : 'lock'}}</mat-icon>
            </button>
          </div>
        </div>
      </div>
    </app-expansion-item>
  </div>
  <mat-divider class="cases-divider"></mat-divider>
</div>
<div *ngIf="caseExtended && caseItem?.examinations && caseItem?.examinations?.length">
  <div class="case-examinations">
    <app-case-examination-list
      [examinations]="caseItem.examinations"
      [selectedExaminationId]="selectedExaminationId"
      (examinationClicked)="onCaseExaminationClicked($event)">
    </app-case-examination-list>
  </div>
  <mat-divider></mat-divider>
</div>
